package com.tofly.dispatch;

import com.tofly.common.config.ToflyCloudApplication;
import com.tofly.dispatch.common.FeignConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @author HaiQiu
 * @since 2022/11/8
 */
@MapperScan({"com.tofly.*.mapper"})
@EnableFeignClients(basePackages ={"com.tofly.common.log"},defaultConfiguration = {FeignConfig.class})
@ToflyCloudApplication
public class DispatchApp {
    public static void main(String[] args) {
        SpringApplication.run(DispatchApp.class,args);
        System.out.println("调度管理系统-------->启动成功");
    }
}
