package com.tofly.xrtygis.custom.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class DmaAlertReportVo {

    @ApiModelProperty(value = "设备编号")
    private String deviceCode;
    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "指标编码")
    private String variableCode;

    @ApiModelProperty(value = "指标名称")
    private String variableName;

    @ApiModelProperty(value = "显示名称")
    private String displayName;

    @ApiModelProperty(value = "报警时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date scadaTime;

    @ApiModelProperty(value = "报警等级")
    private String reportLevel;

    @ApiModelProperty(value = "报警值")
    private String value;

    @ApiModelProperty(value = "报警上限值")
    private String reportUpper;

    @ApiModelProperty(value = "报警下限值")
    private String reportLower;

    @ApiModelProperty(value = "报警内容")
    private String reportContent;

    @ApiModelProperty(value = "报警类型")
    private String alertType;


}
