package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author JF
 * @date 2024/03/14
 * @description 水表水量信息
 */
@Data
public class MeterWaterVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "水表编码")
    private String meterCode;

    @ApiModelProperty(value = "水表名称")
    private String meterName;

    @ApiModelProperty(value = "水量（m³）")
    private BigDecimal supplyWater;

    @ApiModelProperty(value = "水量占比（%）")
    private BigDecimal prop;
}
