package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * @author JF
 * @date 2024/1/1
 * @description 水表设备用水量Vo
 */
@Data
public class TableUsageVo implements Serializable {

    @ApiModelProperty("设备ID")
    private Long deviceId;

    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("时间")
    private String scadaTime;

    @ApiModelProperty("用量")
    private Double tableUsage;

}
