package com.tofly.xrtygis.custom.service.dma;

import com.tofly.xrtygis.custom.entity.dto.ScadaDataDto;
import com.tofly.xrtygis.custom.entity.vo.*;
import com.tofly.xrtygis.entity.vo.DmaAboutVo;

import java.util.List;

public interface CustomDmaScadaService {

    List<ScadaIndexVo> viewScadaData(ScadaDataDto dto);

    MeterAboutVo viewMeterAbout(String year);

    List<DmaSupplyWaterVo> getDmaSupplyWater(Long dmaId, Integer statisticsType, String startDate, String endDate);

    List<MeterWaterVo> getMeterWater(Long dmaId, Integer statisticsType, String startDate, String endDate);

    CruxIndexVo viewCruxIndex();

    List<DmaSupplyWaterVo> chargeWaterAnalyse(Long dmaId, Integer statisticsType, String startDate, String endDate);

    List<DmaLeakageVo> leakageRateAnalyse(Integer level, Long dmaId, String isLeakageWarn, String isMinNightWarn, String startDate, String endDate, Integer statisticsType);

    List<DmaAboutVo> regionAboutInfo(List<Long> dmaIdList);

    List<DmaWaterAboutVo> getDmaWaterAbout(Long dmaId, Integer statisticsType, String startDate, String endDate);

    List<NightFlowMonitorVo> nightFlowMonitor(Long deviceId, String startDate, String endDate);
}
