package com.tofly.xrtygis.em;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 指标类型对应关系
 * @author JF
 */
@Getter
@AllArgsConstructor
public enum IndexTypeEnum {

    INSTANTANEOUS_FLOW("1", "瞬时流量"),
    CUM_POS_FLOW("2", "正向累计流量"),
    CUM_NET_FLOW("19", "净累计流量"),
    PRESSURE("6", "压力"),
    ;

    /**
     * 指标类型ID
     */
    private String indexType;
    /**
     * 指标类型名称
     */
    private String indexTypeName;
}
