package com.tofly.xrtygis.entity.vo;
import com.haiqiu.tools.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 
 * @TableName STATISTICS_SCADA
 */
@Data
@EqualsAndHashCode
public class StatisticsScadaVo implements Serializable {


    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    @Excel(name="设备名称")
    private String name;

    /**
     * 指标编码
     */
    @ApiModelProperty(value = "指标编码")
    @Excel(name="指标编码")
    private String variableCode;

    /**
     * 指标名称
     */
    @ApiModelProperty(value = "指标名称")
    @Excel(name="指标名称")
    private String variableName;


    /**
     * 指标类型
     */
    @ApiModelProperty(value = "指标类型")
    @Excel(name="指标类型")
    private String type;

    /**
     * 采集值
     */
    @ApiModelProperty(value = "采集值")
    @Excel(name="采集值")
    private String value;
    /**
     * 平均值
     */
    @ApiModelProperty(value = "平均值")
    @Excel(name="平均值")
    private String ave;


    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    @Excel(name="单位")
    private String unit;


    /**
     * 统计时间
     */
    @ApiModelProperty(value = "统计时间")
    @Excel(name="统计时间")
    private String time ;


    /**
     * 显示名称
     */
    @ApiModelProperty(value = "显示名称")
    private String displayName;

    /**
     * 统计最大值
     */
    @ApiModelProperty(value = "统计最大值")
    private String max;
    /**
     * 统计最小值
     */
    @ApiModelProperty(value = "统计最小值")
    private String min;

    /**
     * 差值
     */
    @ApiModelProperty(value = "差值")
    private String fold;
    /**
     * 编码
     */
    @ApiModelProperty(value = "编码")
    private String code;



    /**
     * 指标规格
     */
    @ApiModelProperty(value = "指标规格")
    private String model;



}