/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.maintain;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.maintain.PipeMfRecord;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 管网设施维护保养记录
 *
 * @author admin
 * @date Tue Oct 26 00:00:00 CST 2021
 */
public interface PipeMfRecordService extends IService<PipeMfRecord> {

    /**
     * 新增管网设施维护保养记录
     * @param pipeMfRecord
     * @return
     */
    boolean saveInfoPipeMfRecord(List<MultipartFile> fileList, PipeMfRecord pipeMfRecord);

    Page<PipeMfRecord> getPage(Page page, PipeMfRecord pipeMfRecord);

    boolean saveInfoPipeMfRecordNew(List<MultipartFile> fileList1, List<MultipartFile> fileList2, List<MultipartFile> fileList3, PipeMfRecord pipeMfRecord);
}
