package com.tofly.watermeter.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.watermeter.service.GetDataService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("/getData")
@Api(tags="截取大屏数据相关接口")
public class GetDataController {

    private final GetDataService getDataService;

    @PostMapping("getIndexValue")
    @ApiOperation("截取数据")
    public ResultRespone getIndexValue() {
        return ResultRespone.success(getDataService.getIndexValue());
    }

}
