package com.tofly.watermeter.custom.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Bubble
 */
@Data
public class CensusQueryDto {

    @ApiModelProperty(value = "年份")
    private String year;

    @ApiModelProperty(value = "普查人员")
    private String user;

    @ApiModelProperty(value = "区域")
    private String zone;

    @ApiModelProperty(value = "区域段")
    private String section;

    @ApiModelProperty(value = "0 全部 1 未普查 2 已普查")
    private String status;

    @ApiModelProperty(value = "模糊查询")
    private String input;
}
