package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author Bubble
 */
@Data
@TableName(value = "TF_YWPN_GETDATA_W", resultMap = "getDataMap")
@KeySequence("TF_YWPN_GETDATA_W")
@ApiModel
public class GetData {

    @ApiModelProperty(value = "数据类型")
    private Long dataType;
    @ApiModelProperty(value = "类型名称")
    private String dataName;

    @ApiModelProperty(value = "截取时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date getDate;

    @ApiModelProperty(value = "截取数据")
    private Double getValue;

    @ApiModelProperty(value = "0 小时 1 天")
    private Long dateType;

}
