package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Bubble
 */
@Data
@TableName(value = "TF_YWPN_GETPARAMCONFIG_W", resultMap = "getParamConfigMap")
@KeySequence("TF_YWPN_GETPARAMCONFIG_W")
@ApiModel
public class GetParamConfig {

    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "密度")
    private Double density;

    @ApiModelProperty(value = "有效氯")
    private Double chlorine;

    @ApiModelProperty(value = "比例")
    private Double proportion;

    @ApiModelProperty(value = "参数类型 0 pac 1 食盐 2 次钠")
    private Long paramType;

    @TableField(exist = false)
    @ApiModelProperty(hidden = true)
    private String paramTypeName;
}
