package com.tofly.watermeter.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.watermeter.entity.CensusPlanDetails;
import com.tofly.watermeter.entity.TableCensus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author Bubble
 */
@Mapper
public interface CensusPlanDetailsMapper extends BaseMapper<CensusPlanDetails> {

    /**
     * 生成普查数据
     * @param planInfoId 计划id
     * @return list
     */
    List<TableCensus> intiCensusInfo(@Param("planInfoId") List<String> planInfoId);

    Long getMaxId();

    void savePlanBatch(@Param("list") List<CensusPlanDetails> detailsList);

    void savePlanCbryBatch(@Param("list") List<CensusPlanDetails> detailsList);

    List<Map> censusPlanCollect(@Param("cbry") Long cbry,@Param("qybm") String qybm);

    List<Map> censusZoneCollect(@Param("userId")Long userId);

}
