/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.watermeter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.watermeter.custom.dto.ForeignReadFarDo;
import com.tofly.watermeter.entity.Readmetereashis;

/**
 * 抄表历史数据（有本系统自己管理的），远传表
 *
 * @author xqf
 * @date Tue Dec 28 00:00:00 CST 2021
 */
public interface ReadmetereashisService extends IService<Readmetereashis> {

    boolean saveBatchReadFar(ForeignReadFarDo dto);

    /**
     * 手动运行远传表异常分析接口
     * @param month 抄表月份
     * @return boolean
     */
    boolean waterAnalyse(String month);
}
