package com.tofly.water.entity.vo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.math.BigDecimal;

@Data
public class WaterSupplyDetailVo {

    @ApiModelProperty("水厂类型1，水厂，2污水厂")
    private  String waterType;

    @ApiModelProperty("水厂Id")
    private  Long waterId;

    @ApiModelProperty("水厂名称")
    private  String waterName;

    //总统运行情况
    @ApiModelProperty("设计供水/污水处理能力(m³)")
    private  BigDecimal designProcessingCapacity;

    @ApiModelProperty("今年水厂进水指标水量(m³)")
    private  BigDecimal waterSupplyInYear;


    @ApiModelProperty("今年水厂出水指标水量(m³)")
    private  BigDecimal waterSupplyOutYear;


    @ApiModelProperty("今日水厂进水指标水量(m³)")
    private  BigDecimal waterSupplyInDay;


    @ApiModelProperty("今日水厂出水指标水量(m³)")
    private  BigDecimal waterSupplyOutDay;


    @ApiModelProperty("当月水厂进水指标水量(m³)")
    private  BigDecimal waterSupplyInMonth;


    @ApiModelProperty("当月水厂出水指标水量(m³)")
    private  BigDecimal waterSupplyOutMonth;



}
