package com.tofly.water.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class WaterSupplyLeaderVo {

    @ApiModelProperty("水厂信息")
    private WaterSupplyInfoVo waterSupplyInfo;

    @ApiModelProperty("污水厂信息")
    private WaterSupplyInfoVo waterSupplyWsInfo;

    @ApiModelProperty("月度抄表量")
    private  BigDecimal amount;

    @ApiModelProperty("用户总数")
    private  BigDecimal userNum;

}
