package com.tofly.analyse.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "gis")
@Data
public class ConfigProperty {
	
	private String url;
	private String datasource;
	private String username;
	private String pwd;

	private String database;

	private String dataType;

	private String isOnline;
	private String user;
	private String userPwd;
	
}
