package com.tofly.analyse.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

@Data
@ApiModel
public class LongSectionAnalysisDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "数据集名称")
    private String  datasetName;

    @ApiModelProperty(value = "起点坐标")
    private Map<String,Double> startPoints;

    @ApiModelProperty(value = "终点坐标")
    private Map<String,Double> endPoints;
}
