package com.tofly.analyse.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

@Data
@ApiModel
public class SpaceCountDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "字段")
    private List<String> fields;

    @ApiModelProperty(value = "图层名称",required = true)
    private List<String> datasetNames;

    @ApiModelProperty(value = "sql查询语句")
    private Map<String,Object> queryParameter;

    @ApiModelProperty(value = "空间json字符串")
    private List<Map<String,Object>> geoJSON;

    @ApiModelProperty(value = "统计字段")
    private Map<String,Object> countFiled;

    @ApiModelProperty(value = "多图层特殊过滤")
    private Map<String,List<String>> specialQuery;

    @ApiModelProperty(value = "类型 0:长度 1:数量",required = true)
    private Integer type;

    private String specialQueryStr;

}
