package com.tofly.analyse.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 专题地图
 * @author zhoux
 */
@Data
@ApiModel
@TableName(value="tf_ywpn_gisthematic_w",resultMap = "thematicMapMap")
public class ThematicMap {
	
	
	@TableId(value = "id",type= IdType.ASSIGN_ID)
	@ApiModelProperty(value = "专题地图ID")
	private Long id;
			
	@ApiModelProperty(value = "专题地图名称")
	private String mapName;
	
	@ApiModelProperty(value = "图层名称")
	private String layerName;
	
	@ApiModelProperty(value = "过滤sql")
	private String filterSql;
	
	@ApiModelProperty(value = "全图或者地图范围  0为全图  1为地图范围")
	private Integer rangeScope;
	
	@ApiModelProperty(value = "范围值")
	private String rangeValue;
	
	@ApiModelProperty(value = "用户ID")
	private Long userId;
	
	

}
