package com.tofly.analyse.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.analyse.entity.analyse.Network;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 分析管理
 * @author zhoux
 */
public interface AnalysisMapper extends BaseMapper {
	
	
	public List<String> getSidMethod(@Param("dataSetName") String dataSetName,
			@Param("colName") String colName,
			@Param("dataIds") List<Integer> dataIds);


	public List<Network> getNetworkData(@Param("dataSetName") String dataSetName,
										@Param("dataSetNodeName")String dataSetNodeName,
										@Param("params") String params
	);

	public List<Network> getNetworkNodeData(@Param("dataSetName") String dataSetName,
										@Param("params") String params
	);
	
		    	
}