package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 *
 * @author JF
 * @date 2024/03/14
 * @description DMA分区供水量分析
 */
@Data
public class DmaSupplyWaterVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "统计时间")
    private String scadaTime;

    @ApiModelProperty(value = "供水量（m³）")
    private BigDecimal supplyWater;

    @ApiModelProperty(value = "水表列表")
    private List<MeterWaterVo> meterList;

    @ApiModelProperty(value = "用户类型用水列表")
    private List<YxMeterVo> yxMeterVoList;
}
