package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author JF
 * @date 2024/05/21
 * @description 夜间最小流量监测
 */
@Data
public class NightFlowMonitorVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "统计时间")
    private String scadaTime;

    @ApiModelProperty(value = "最小流量（m³/h）")
    private BigDecimal minFlow;

    @ApiModelProperty(value = "日均流量（m³/h）")
    private BigDecimal aveDayFlow;

    @ApiModelProperty(value = "最小流量/日均流量（%）")
    private Float prop;
}
