package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author JF
 * @date 2024/03/18
 * @description 营销抄表数据
 */
@Data
public class YxMeterVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "水表编号")
    private String meterCode;

    @ApiModelProperty(value = "统计时间")
    private String censusDate;

    @ApiModelProperty(value = "水表水量")
    private String meterAmount;

    @ApiModelProperty(value = "类型（1居民用水;2非居民用水;3特殊用水）")
    private String type;

    @ApiModelProperty(value = "总量占比")
    private BigDecimal prop;
}
