package com.tofly.watermeter.custom.entity.export;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * 催欠管理导出模板
 * @author Bubble
 */
@Data
public class Interruption {
    @ExcelProperty(value = "序号")
    private String no;
    @ExcelProperty(value = "客户编号")
    private String khbh;
    @ExcelProperty(value = "客户姓名")
    private String yhxm;
    @ExcelProperty(value = "区域名称")
    private String qymc;
    @ExcelProperty(value = "抄表段")
    private String qydmc;
    @ExcelProperty(value = "催收次数")
    private String csNum;
    @ExcelProperty(value = "最新催收时间")
    private String csTime;
    @ExcelProperty(value = "欠费暂停次数")
    private String ztNum;
    @ExcelProperty(value = "最新暂停时间")
    private String ztTime;
    @ExcelProperty(value = "欠费关水次数")
    private String gsNum;
    @ExcelProperty(value = "最新关水时间")
    private String gsTime;
    @ExcelProperty(value = "欠费复水次数")
    private String fsNum;
    @ExcelProperty(value = "最新复水时间")
    private String fsTime;
    @ExcelProperty(value = "最新未签订合同通知时间")
    private String wqhttzTime;
    @ExcelProperty(value = "最新未签订合同关水时间")
    private String wqhtgsTime;
    @ExcelProperty(value = "最新已签订合同开水时间")
    private String yqhtksTime;
    @ExcelProperty(value = "报停关水次数")
    private String btgsNum;
    @ExcelProperty(value = "最新报停关水时间")
    private String btgsTime;
    @ExcelProperty(value = "报停复水次数")
    private String btfsNum;
    @ExcelProperty(value = "最新报停复水时间")
    private String btfsTime;
    @ExcelProperty(value = "客户地址")
    private String yhdz;
    @ExcelProperty(value = "联系电话")
    private String lxdh;
    @ExcelProperty(value = "用水性质")
    private String ysxzMc;
    @ExcelProperty(value = "水表口径")
    private String sbkj;
    @ExcelProperty(value = "水表厂家")
    private String sbcj;
    @ExcelProperty(value = "水表类型")
    private String sblx;
































}
