package com.tofly.watermeter.custom.entity.meterBusiness.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author 泡泡
 */
@Data
public class StatisticalFormDto {
    /**
     * 0 不导出  1 导出
     */
    private Long export;
    /**
     * 部门
     */
    private List<Long> dept;
    /**
     * 水表口径
     */
    private List<Long> cal;
    /**
     * 水表厂家
     */
    private List<Long> vendor;
    /**
     * 水表类型
     */
    private List<Long> type;
    /**
     * 开始时间
     */
    private String start;
    /**
     * 结束时间
     */
    private String end;

    private Long meterUse;

    @ApiModelProperty(value = "0 全部 1 已检验 2 未检验 3 合格 4 不合格")
    private Integer status;
}
