package com.tofly.watermeter.em;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author Bubble
 */

@Getter
@AllArgsConstructor
public enum GetIndexEnum {

    //指标类型
    INDEX_INTAKE_WATER(1L,"取水"),
    INDEX_PAC(2L,"pac液位"),
    INDEX_SALT(3L,"食盐液位"),
    INDEX_HYPOSODIUM(4L,"次钠液位"),
    INDEX_ELECTRICITY(5L,"电耗"),
    //厂家类型
    FACTORY_ONE(1L,"一厂"),
    FACTORY_TWO(2L,"二厂"),
    WATER_INTAKE_HEAD(3L,"取水头部"),
    //参与计算参数类型
    PARAM_PAC(0L,"pac"),
    PARAM_SALT(1L,"食盐"),
    PARAM_HYPOSODIUM(2L,"次钠"),
    //数据类型
    INTAKE_WATER_ONE_TYPE(0L,"一厂取水量"),
    INTAKE_WATER_TWO_TYPE(1L,"二厂取水量"),
    INTAKE_WATER_TOTAL_TYPE(2L,"总取水量"),
    PAC_ONE_TYPE(3L,"一厂pac单耗"),
    PAC_TWO_TYPE(4L,"二厂pac单耗"),
    SALT_TYPE(5L,"食盐单耗"),
    HYPOSODIUM_TYPE(6L,"次钠单耗"),
    ELECTRICITY_ONE_TYPE(7L,"一厂电耗"),
    ELECTRICITY_TWO_TYPE(8L,"二厂电耗"),
    ELECTRICITY_TOTAL_TYPE(9L,"生产总电耗"),
    ;


    private final Long code;

    private final String codeName;

}
