package com.tofly.watermeter.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Bubble
 */
@Data
@TableName(value = "TF_YWPN_GETINDEXCONFIG_W", resultMap = "getIndexConfigMap")
@KeySequence("TF_YWPN_GETINDEXCONFIG_W")
@ApiModel
public class GetIndexConfig {

    @TableId(value = "ID", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "指标类型")
    private Long typeId;

    @ApiModelProperty(value = "类型名称")
    private String typeName;

    @ApiModelProperty(value = "指标")
    private String indexCode;

    @ApiModelProperty(value = "厂家id")
    private Long factoryId;

}
