package com.tofly.analyse.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@TableName(value="tf_layer_filed_config_w",resultMap = "layerFiledConfigMap")
@KeySequence("tf_layer_filed_config_w")
@ApiModel
public class LayerFiledConfig {
	
	
	@TableId(value = "ID",type= IdType.AUTO)
	@ApiModelProperty(value = "主键ID")
	private Long id;

	@ApiModelProperty(value = "管线图层名称")
	private String layerName;

	@ApiModelProperty(value = "管线唯一编码字段")
	private String no;

	@ApiModelProperty(value = "网络数据集流向字段")
	private String dir;

	@ApiModelProperty(value = "开始编码字段")
	private String sPoint;

	@ApiModelProperty(value = "结束编码字段")
	private String ePoint;

	@ApiModelProperty(value = "管点图层名称")
	private String nodeLayerName;

	@ApiModelProperty(value = "管点附属物字段")
	private String subtype;

	@ApiModelProperty(value = "管点附属物值(有多种，以,隔开)")
	private String subtypeValue;

	@ApiModelProperty(value = "管点编码字段")
	private String code;

	@ApiModelProperty(value = "管点唯一编码字段")
	private String nodeNo;

	@ApiModelProperty(value = "管点附属物上游值")
	private String sySubtypeValue;

	@ApiModelProperty(value = "管点附属物下游值")
	private String xySubtypeValue;

	@ApiModelProperty(value = "图层流向")
	private String dirFlow;



}
