package com.tofly.analyse.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class PipeCountDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "图层名称",required = true)
    private String datasetName;

    @ApiModelProperty(value = "字段(多个,分割)")
    private String filed;

    @ApiModelProperty(value = "分级")
    private String level;

    @ApiModelProperty(value = "sql查询语句")
    private String queryParameter;

    @ApiModelProperty(value = "长度统计字段")
    private String lenField;



}
