package com.tofly.analyse.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

@Data
@ApiModel
public class SubtypeCountDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "图层名称(多图层,分割)",required = true)
    private String datasetName;

    @ApiModelProperty(value = "字段(多个,分割)")
    private Map<String,Object> filed;

    @ApiModelProperty(value = "sql查询语句")
    private Map<String,Object> queryParameter;


}
