package com.tofly.analyse.entity.analyse;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class Network {

    @ApiModelProperty(value = "管线ID")
    private Integer smEdgeId;

    @ApiModelProperty(value = "管线长度")
    private Double smLength;

    @ApiModelProperty(value = "管线开始结点id")
    private Integer smFNode;

    @ApiModelProperty(value = "管线结束结点id")
    private Integer smTNode;

    @ApiModelProperty(value = "结点ID")
    private Integer smNodeId;

    @ApiModelProperty(value = "SID")
    private String sId;

    @ApiModelProperty(value = "fSid")
    private String fSid;

    @ApiModelProperty(value = "tSid")
    private String tSid;

}
