package com.tofly.analyse.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.analyse.entity.DataListDto;
import com.tofly.analyse.entity.DataSet;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 数据集管理
 * @author zhoux
 */
public interface DataSetMapper extends BaseMapper<DataSet> {


	public List<String> getColData(@Param("queryParams") Map<String, String> queryParams);


	public List<Map> getDataSetData(@Param("queryParams") Map<String, String> queryParams);


	public List<Map> getDataList(Page page, @Param("param") DataListDto param);

}