package com.tofly.analyse.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.analyse.entity.TitleLabel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 公房查封情况表
 *
 * @author zhoux
 * @date Fri Jun 05 00:00:00 CST 2020
 */
public interface TitleLabelMapper extends BaseMapper<TitleLabel> {
	
	public boolean insertTitleLabel(TitleLabel titleLabel);
	
	
	
	public List<Map<String, Object>> getTitleLabelPage(Page<Map<String, Object>> page, @Param("MapQuery") Map map);
	
	
}
