package com.tofly.analyse.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.analyse.entity.DataListDto;
import com.tofly.analyse.entity.DataSet;
import com.tofly.common.core.entity.ResultRespone;

import java.util.List;
import java.util.Map;

public interface DataSetService extends IService<DataSet> {

    /**
     * 获取数据集字段数据
     * @param pipeParams
     * @return
     */
    public List<String> getColData(Map<String,String> queryParams);

    ResultRespone getFieldValue(String dataSetName);

    public List<Map> getDataSetData(Map<String, String> queryParams);

    public Page<Map> getDataList(Page page,DataListDto param);

}