package com.tofly.analyse.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.analyse.entity.Pipeline;
import com.tofly.common.core.entity.ResultRespone;

import java.util.Map;

public interface PipelineService extends IService<Pipeline> {
	
    /**
     * 管线追踪分析
     * @param pipeParams
     * @return
     */
    public Map<String,Object> getPipelineConnect(Map<String,String> pipeParams) throws Exception;
    
    
    
    
    /**
	 * 根据expNo获取点具体信息
	 * @param paramsMap
	 * @return
	 */
	public Map<String,Object> getPointByExpNo(String expNo);

	ResultRespone getDataBykeyValue(String layerName,String keyValue);

    
    
}